# $Revision: 1.2 $, $Date: 2009/01/11 12:13:13 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-HTML-Widget
Summary:	Catalyst::Plugin::HTML::Widget - HTML Widget And Validation Framework
#Summary(pl.UTF-8):	
Name:		perl-Catalyst-Plugin-HTML-Widget
Version:	1.1
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eee54553cd04d6faa3d484983007ae5a
URL:		http://search.cpan.org/dist/Catalyst-Plugin-HTML-Widget/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.5
BuildRequires:	perl-HTML-Widget
BuildRequires:	perl-Module-Pluggable-Fast
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML Widget And Validation Framework.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	--skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/HTML/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-HTML-Widget.spec,v $
Revision 1.2  2009/01/11 12:13:13  radek
- release 2: BR perl-Module-Pluggable-Fast

Revision 1.1  2009/01/11 12:01:22  radek
- new

